Skip to main content
GET
Income statement by cost center

Authorizations

X-API-Key
string
header
required

Integration API Key (Integrations → New Integration).

Query Parameters

start_date
string<date>
required

Start date (YYYY-MM-DD).

end_date
string<date>
required

End date (YYYY-MM-DD), greater than or equal to start_date.

cost_center_ids[]
string<uuid>[]

Centers to use as columns (repeatable).

parent_cost_center_id
string<uuid>

Without cost_center_ids: the columns are the direct sub-centers of this center.

branch_id
string

Optional: limits to one branch.

depth
integer

Level of detail (1–10).

format
enum<string>
default:json

json (default), pdf (application/pdf), or excel (.xlsx). With pdf/excel the response is the file.

Available options:
json,
pdf,
excel

Response

Success

status
boolean
required
Example:

true

data
object
required